import * as React from 'react';
import { Table, Button, Input } from 'semantic-ui-react';

export class DiscoveryTable extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
      endIP: null,
    };
  }

  handleEndIpInput(event: React.SyntheticEvent<HTMLAnchorElement>, data: any) {
    console.log(data.value);
    this.setState({
      endIP: data.value,
    });

  }

  discoveryStartHandler(event: React.SyntheticEvent<HTMLAnchorElement>, data: any) {
    this.props.onProbeChange(data);
  }

  render() {
    return (
      <div>
        <Table celled>
          <Table.Body>
            <Table.Row>
              <Table.Cell width='1'>Start IP</Table.Cell>
              <Table.Cell width='6'><Input size='large' placeholder='Start IP'  /></Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell>End IP</Table.Cell>
              <Table.Cell><Input size='large' placeholder='End IP' onChange={this.handleEndIpInput.bind(this)} /></Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell>Exclude IP</Table.Cell>
              <Table.Cell><Input  size='large' placeholder='Exclude IP' /></Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell>Start Port</Table.Cell>
              <Table.Cell><Input size='large' placeholder='Start Port' /></Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell>End Port</Table.Cell>
              <Table.Cell><Input size='large' placeholder='End Port' /></Table.Cell>
            </Table.Row>
          </Table.Body>
        </Table>
        <Button floated='right' onClick={this.discoveryStartHandler.bind(this)}> Start </Button>
      </div>
    );
  }
}